# Generated by the gRPC Python protocol compiler plugin. DO NOT EDIT!
"""Client and server classes corresponding to protobuf-defined services."""
import grpc

import model_pb2 as model__pb2


class PredictStub(object):
    """Define the service
    """

    def __init__(self, channel):
        """Constructor.

        Args:
            channel: A grpc.Channel.
        """
        self.predict_sale_price = channel.unary_unary(
                '/Predict/predict_sale_price',
                request_serializer=model__pb2.Features.SerializeToString,
                response_deserializer=model__pb2.Prediction.FromString,
                )
        self.regressor_metrics = channel.unary_unary(
                '/Predict/regressor_metrics',
                request_serializer=model__pb2.Features.SerializeToString,
                response_deserializer=model__pb2.TrainingStatus.FromString,
                )
        self.get_metrics_metadata = channel.unary_unary(
                '/Predict/get_metrics_metadata',
                request_serializer=model__pb2.TrainingStatus.SerializeToString,
                response_deserializer=model__pb2.TrainingStatus.FromString,
                )


class PredictServicer(object):
    """Define the service
    """

    def predict_sale_price(self, request, context):
        """Missing associated documentation comment in .proto file."""
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def regressor_metrics(self, request, context):
        """Missing associated documentation comment in .proto file."""
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def get_metrics_metadata(self, request, context):
        """Missing associated documentation comment in .proto file."""
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')


def add_PredictServicer_to_server(servicer, server):
    rpc_method_handlers = {
            'predict_sale_price': grpc.unary_unary_rpc_method_handler(
                    servicer.predict_sale_price,
                    request_deserializer=model__pb2.Features.FromString,
                    response_serializer=model__pb2.Prediction.SerializeToString,
            ),
            'regressor_metrics': grpc.unary_unary_rpc_method_handler(
                    servicer.regressor_metrics,
                    request_deserializer=model__pb2.Features.FromString,
                    response_serializer=model__pb2.TrainingStatus.SerializeToString,
            ),
            'get_metrics_metadata': grpc.unary_unary_rpc_method_handler(
                    servicer.get_metrics_metadata,
                    request_deserializer=model__pb2.TrainingStatus.FromString,
                    response_serializer=model__pb2.TrainingStatus.SerializeToString,
            ),
    }
    generic_handler = grpc.method_handlers_generic_handler(
            'Predict', rpc_method_handlers)
    server.add_generic_rpc_handlers((generic_handler,))


 # This class is part of an EXPERIMENTAL API.
class Predict(object):
    """Define the service
    """

    @staticmethod
    def predict_sale_price(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/Predict/predict_sale_price',
            model__pb2.Features.SerializeToString,
            model__pb2.Prediction.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)

    @staticmethod
    def regressor_metrics(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/Predict/regressor_metrics',
            model__pb2.Features.SerializeToString,
            model__pb2.TrainingStatus.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)

    @staticmethod
    def get_metrics_metadata(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/Predict/get_metrics_metadata',
            model__pb2.TrainingStatus.SerializeToString,
            model__pb2.TrainingStatus.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)
